Name:           seabios
Version:        0.6.2
Release:        %mkrel 4
Summary:        Open-source legacy BIOS implementation

Group:          Emulators 
License:        LGPLv3
URL:            http://www.coreboot.org/SeaBIOS
Source0:        http://www.linuxtogo.org/~kevin/SeaBIOS/%{name}-%{version}.tar.gz

Patch00: 	seabios-0.6.2-build.patch
Patch01: 	seabios-0.6.2-fix-QXL.patch
Patch02: 	seabios-do-not-advertise-S4-S3-in-DSDT.patch


BuildRequires: python iasl
ExclusiveArch: %{ix86} x86_64

%ifarch %{ix86} x86_64
Requires: %{name}-bin = %{version}-%{release}
%endif

# Seabios is noarch, but required on architectures which cannot build it.
# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%description
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER README TODO

%ifarch %{ix86} x86_64 
%package bin
Summary: Seabios for x86
Buildarch: noarch

%description bin
SeaBIOS is an open-source legacy BIOS implementation which can be used as
a coreboot payload. It implements the standard BIOS calling interfaces
that a typical x86 proprietary BIOS implements.

%files bin
%defattr(-,root,root,-)
%dir %{_datadir}/seabios/
%{_datadir}/seabios/bios.bin

%endif

%prep
%setup -q

%patch00 -p1
%patch01 -p1
%patch02 -p1

# Makefile changes version to include date and buildhost
sed -i 's,VERSION=%{version}.*,VERSION=%{version},g' Makefile


%build
%ifarch %{ix86} x86_64 
export CFLAGS="$RPM_OPT_FLAGS"
make 
%endif


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/seabios
%ifarch %{ix86} x86_64 
install -m 0644 out/bios.bin $RPM_BUILD_ROOT%{_datadir}/seabios
%endif



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-4.mga3
+ Revision: 381927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 27 2011 dmorgan <dmorgan> 0.6.2-3.mga2
+ Revision: 158643
- imported package seabios

